rte_flow_query_count(3)

NAME
rte_flow_query_count

SYNOPSIS

#include <rte_flow.h>

  Data Fields

uint32_t reset:1
uint32_t hits_set:1
uint32_t bytes_set:1
uint32_t reserved:29
uint64_t hits
uint64_t bytes

Detailed Description

RTE_FLOW_ACTION_TYPE_COUNT (query)

Query structure to retrieve and reset flow rule counters.

Definition at line 3459 of file rte_flow.h.

Field Documentation

  uint32_t reset
Reset counters after query [in].

Definition at line 3460 of file rte_flow.h.

  uint32_t hits_set
hits field is set [out].

Definition at line 3461 of file rte_flow.h.

  uint32_t bytes_set
bytes field is set [out].

Definition at line 3462 of file rte_flow.h.

  uint32_t reserved
Reserved, must be zero [in, out].

Definition at line 3463 of file rte_flow.h.

  uint64_t hits
Number of hits for this rule [out].

Definition at line 3464 of file rte_flow.h.

  uint64_t bytes
Number of bytes through this rule [out].

Definition at line 3465 of file rte_flow.h.

Author

Generated automatically by Doxygen for DPDK from the source code.